%if 0%{?fedora}
%global with_python3 1
%endif


%global pypi_name requestsexceptions

Name:           python-%{pypi_name}
Version:        1.1.1
Release:        3%{?dist}
Provides:        python2-requestsexceptions = %{version}-%{release}
Summary:        Import exceptions from potentially bundled packages in requests

License:        ASL 2.0
URL:            http://www.openstack.org/
Source0:        https://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pbr
%description
This is a simple library to find the correct path to exceptions in the
requests library regardless of whether they are bundled.

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Import exceptions from potentially bundled packages in requests
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr

%description -n python3-%{pypi_name}
This is a simple library to find the correct path to exceptions in the
requests library regardless of whether they are bundled.
%endif

%prep
%autosetup -n %{pypi_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} build --executable="%{__python2} -s"
%if 0%{?with_python3}
%py3_build
%endif

%install
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}
%if 0%{?with_python3}
%py3_install
%endif

%files -n python-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/*.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*.egg-info
%endif

%changelog
* Wed Nov 25 2015 jpena <jpena@redhat.com> - 1.1.1-3
- Added Python 3 subpackage
* Mon Nov 23 2015 jpena <jpena@redhat.com> - 1.1.1-2
- Used macros for prep, build and install
* Tue Nov 17 2015 jpena <jpena@redhat.com> - 1.1.1-1
- Initial package.
